Name:           audtty
Version:        0.1.12
Release:        8%{?dist}
Summary:        A ncurses based terminal client for the Audacious

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://audtty.alioth.debian.org/
Source0:        http://www.code-monkeys.org/audtty/%{name}-%{version}.tar.gz
Patch0:         audtty-0.1.12-Makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  glib2-devel
BuildRequires:  audacious-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  ncurses-devel

Requires:       audacious

%description
audtty is a simple application for controlling Audacious from the command
line.  It is designed to make common, simple tasks fast and easy to do.  It
is operated using arrow keys and standard Audacious keys, to make it easy and
intuitive to learn.


%prep
%setup -q
%patch0 -p1 -b .Makefile-without-pkgconfig


%build
aclocal
autoconf
%configure
make %{?_smp_mflags}
#gzip -cn9 %{name}.1 > %{name}.1.gz && \
#touch -r %{name}.1 %{name}.1.gz


%install
rm -rf %{buildroot}
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -Dp -m 0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_mandir}/man*/%{name}.*
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.12-7
- Fix F18 build by querying pkgconfig for glib2/dbus-glib cflags+libs
  (audtty-0.1.12-Makefile.patch).
- BR dbus-glib-devel (for main.c) instead of just dbus-devel.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Feb 27 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.12-5
- Fix FTBFS for F17

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 15 2010 Michael Schwendt <mschwendt@fedoraproject.org> - 0.1.12-2
- Fix uncompressed man page installation.

* Mon Mar 22 2010 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.12-1
- Removed compression of the man page
- Added patch to fix DSOLinking (#564659)
- Updated to new upstream version 0.1.12

* Sat Jul 25 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.11-3
- Fixed changelog

* Sun Jul 19 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.11-2
- Added audtty.conf
- Added audtty.1 manpage
- Added missing Requires: audacious
- Changed to auto* stuff instead of autogen.sh 

* Thu Jul 14 2009 Fabian Affolter <mail@fabian-affolter.ch> - 0.1.11-1
- Initial package for Fedora
